{
  "swagger": "2.0",
  "info": {
    "title": "blocks.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Agency"
    },
    {
      "name": "Data"
    },
    {
      "name": "Supply"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "marketAgencyReply": {
      "type": "object",
      "properties": {
        "count": {
          "type": "string",
          "format": "int64",
          "title": "总数"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/marketMarketAgenctyItem"
          },
          "title": "数据"
        }
      }
    },
    "marketDataReply": {
      "type": "object",
      "properties": {
        "count": {
          "type": "string",
          "format": "int64",
          "title": "记录总数"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/marketKeyVal"
          },
          "title": "当前页数据"
        }
      }
    },
    "marketKeyVal": {
      "type": "object",
      "properties": {
        "key": {
          "type": "string"
        },
        "val": {
          "type": "string"
        }
      }
    },
    "marketLoginReply": {
      "type": "object",
      "properties": {
        "token": {
          "type": "string",
          "title": "token 授权码"
        },
        "identity": {
          "type": "string",
          "title": "唯一标识"
        },
        "market_identity": {
          "type": "string",
          "title": "店铺唯一标识"
        },
        "name": {
          "type": "string",
          "title": "姓名"
        },
        "account": {
          "type": "string",
          "title": "账号"
        },
        "role": {
          "type": "string",
          "title": "角色"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态"
        },
        "created_at": {
          "type": "string",
          "title": "创建时间"
        },
        "market_name": {
          "type": "string",
          "title": "店铺名称"
        }
      }
    },
    "marketMarketAgenctyItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string",
          "title": "唯一标识"
        },
        "created_at": {
          "type": "string",
          "title": "创建时间"
        },
        "name": {
          "type": "string",
          "title": "联系人名称  必填"
        },
        "avatar": {
          "type": "string",
          "title": "头像"
        },
        "account": {
          "type": "string",
          "title": "帐号"
        },
        "phone": {
          "type": "string",
          "title": "手机号"
        },
        "password": {
          "type": "string",
          "title": "密码"
        },
        "org_name": {
          "type": "string",
          "title": "机构名称"
        },
        "org_photo": {
          "type": "string",
          "title": "机构照片"
        },
        "id_name": {
          "type": "string",
          "title": "证件姓名"
        },
        "id_before": {
          "type": "string",
          "title": "证件照片"
        },
        "id_after": {
          "type": "string",
          "title": "证件照片"
        },
        "remark": {
          "type": "string",
          "title": "备注"
        },
        "commission_rate": {
          "type": "integer",
          "format": "int32",
          "title": "佣金比例"
        },
        "agency_type": {
          "type": "integer",
          "format": "int32",
          "title": "服务 状态：1：代理商 2：安装商"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态：默认为0，-1禁止，1为正常"
        },
        "email": {
          "type": "string",
          "title": "邮箱"
        },
        "country": {
          "type": "string",
          "title": "国家"
        },
        "area": {
          "type": "string",
          "title": "地区"
        },
        "approve": {
          "type": "integer",
          "format": "int32",
          "title": "审核状态：0：待审核 2：审核通过 -2：审核未通过"
        }
      }
    },
    "marketMarketSupplyItem": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string",
          "title": "联系人名称  必填"
        },
        "avatar": {
          "type": "string",
          "title": "头像"
        },
        "commission_rate": {
          "type": "integer",
          "format": "int32",
          "title": "佣金比例"
        },
        "account": {
          "type": "string",
          "title": "帐号"
        },
        "phone": {
          "type": "string",
          "title": "手机号"
        },
        "password": {
          "type": "string",
          "title": "密码"
        },
        "org_name": {
          "type": "string",
          "title": "机构名称"
        },
        "org_photo": {
          "type": "string",
          "title": "机构照片"
        },
        "id_name": {
          "type": "string",
          "title": "证件姓名"
        },
        "id_before": {
          "type": "string",
          "title": "证件照片"
        },
        "id_after": {
          "type": "string",
          "title": "证件照片"
        },
        "remark": {
          "type": "string",
          "title": "备注"
        },
        "identity": {
          "type": "string",
          "title": "唯一标识"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态"
        },
        "id": {
          "type": "integer",
          "format": "int32",
          "title": "id"
        }
      }
    },
    "marketOverviewReply": {
      "type": "object",
      "properties": {
        "total_approve": {
          "type": "string",
          "format": "int64",
          "title": "待沟通会员"
        },
        "total_month": {
          "type": "string",
          "format": "int64",
          "title": "本月新会员"
        },
        "total_all": {
          "type": "string",
          "format": "int64",
          "title": "全部会员"
        },
        "total_staff": {
          "type": "string",
          "format": "int64",
          "title": "工作人员"
        },
        "reportMonth": {
          "type": "object",
          "additionalProperties": {
            "type": "string",
            "format": "int64"
          },
          "title": "按月统计，最近半年"
        },
        "reportStaff": {
          "type": "object",
          "additionalProperties": {
            "type": "string",
            "format": "int64"
          },
          "title": "按月统计，工作人员"
        }
      }
    },
    "marketStatusReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32",
          "title": "状态码"
        },
        "identity": {
          "type": "string",
          "title": "标识码"
        },
        "message": {
          "type": "string",
          "title": "状态说明"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        }
      }
    },
    "marketSupplyReply": {
      "type": "object",
      "properties": {
        "count": {
          "type": "string",
          "format": "int64",
          "title": "总数"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/marketMarketSupplyItem"
          },
          "title": "数据"
        }
      }
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    },
    "rpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
